﻿-- Hilfeanzeige zur Bedienung für FS17_Mercedes_Actros_SLT LS15
-- created by ===sven===
-- Date: 01.08.2016
SDMhelp = {};

function SDMhelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function SDMhelp:load(xmlFile)
	self.SDMhelp = false;
end;

function SDMhelp:delete()
end;

function SDMhelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SDMhelp:keyEvent(unicode, sym, modifier, isDown)
end;

function SDMhelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.sdm_TOGGLE_HELP) then
			self.SDMhelp = not self.SDMhelp;
		end;
	end;
end;

function SDMhelp:updateTick(dt)
end;

function SDMhelp:draw()
	if not self.SDMhelp then
		renderText(0.01, 0.97, 0.021, "");
	else
		renderText(0.03, 0.14, 0.021, "Mettre / Enlever plaque Convoie Numpad 8");
		renderText(0.03, 0.12, 0.021, "Ouvrir porte Arriere Ctrl + Numpad 6");
		renderText(0.03, 0.10, 0.021, "Ouvrir porte Droite Numpad 9");
		renderText(0.03, 0.08, 0.021, "Ouvrir porte Gauche Numpad 7");
		renderText(0.03, 0.06, 0.021, "Ouvrir fenetre Droite Numpad 5");
		renderText(0.03, 0.04, 0.021, "Ouvrir fenetre Gauche Numpad 4");
		renderText(0.03, 0.02, 0.021, "Mettre les chaines Numpad 0");
	end;
end;  

function SDMhelp:onLeave()
	self.SDMhelp = false;
end;
